Bug 129301 - Running as ftp server, when ftp commands like ls, get or put are sent by a connected client to the server, kernel panics
Summary: Running as ftp server, when ftp commands like ls, get or put are sent by a co...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tux   
(Show other bugs)
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ingo Molnar
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 170445
TreeView+ depends on / blocked
 
Reported: 2004-08-06 02:36 UTC by Michael Kearey
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-15 17:40:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tuxcrash.jpg (151.56 KB, image/jpeg)
2005-05-12 14:27 UTC, Bastien Nocera
no flags Details

Description Michael Kearey 2004-08-06 02:36:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040803

Description of problem:
When running tux as an ftp server, client connections are successful.
However when a directory list is requested, the host tux is running on
has a kernel panic. A 'get' also results in kernel panic. Other
commands such as 'rhelp' do not result a kernel panic, with the server
responding 'Ok'.


Version-Release number of selected component (if applicable):
tux-3.2.14-1

How reproducible:
Always

Steps to Reproduce:
1. Install tux
2. Start tux - service tux start
3. As per the supplied documentation, set tux to do both http and ftp:
echo "http://0.0.0.0:80" > /proc/net/tux/0/listen/0
echo "ftp://0.0.0.0:21" > /proc/net/tux/0/listen/1
service tux restart
4. Using any ftp client, connect to server, try 'ls, dir or get' ftp
command.

Actual Results:  ftp command fails and kernel panics

Expected Results:  ftp commands from client sent to server, server
responds to client, and kernel remains calm.

Additional info:

I have been running on a single hyperthreading Pentium 4 processor.
Using either SMP or uni-processor kernel results in the same kernel panic.

Have confirmed that problem occurs when running these kernels (UP or SMP):
kernel-2.4.21-15.EL
kernel-2.4.21-15.0.3.EL
kernel-2.4.21-15.0.4.EL


Also have found that a Red Hat Enterprise 4 (Beta) installation
running kernel 2.6 does not have the problem.

Comment 1 Michael Kearey 2004-08-06 02:41:34 UTC
Am currently unable to use netdump, as my network card is not supported. 

I will try to setup a serial connection to grab a kernel dump if
requested. A sysreport is ready if it is needed.

Comment 2 Bastien Nocera 2005-05-12 14:27:09 UTC
Created attachment 114296 [details]
tuxcrash.jpg

Screendump of the crash. The double fault means that the user hasn't been able
to gather any dumps or other logs.

Comment 3 Ingo Molnar 2005-09-15 17:40:13 UTC
the FTP server is disabled by default (it was devel code in RHEL3 and is not
supported), so i'm closing this bug with WONTFIX. It works in RHEL4.


Note You need to log in before you can comment on or make changes to this bug.